import { BooleanInput } from '@angular/cdk/coercion';
import { ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { DejaConnectionPositionPair } from '@deja-js/component/core';
import { Color } from '@deja-js/component/core/graphics';
import * as i0 from "@angular/core";
export declare class DejaColorPickerComponent implements ControlValueAccessor {
    control: NgControl;
    private changeDetectorRef;
    _disabled: boolean;
    /** Retourne ou definit les couleurs selectionables affichées. */
    colors: Color[];
    resetcolor: string;
    /** Déclenché lorsqu'une couleur est survolée par la souris. */
    readonly colorhover: EventEmitter<any>;
    /** Overlay pane containing the options. */
    private dejaOverlayCmp;
    /** Internal use */
    ownerElement: HTMLElement;
    private _small;
    private _value;
    private _isOpen;
    /** Retourne ou definit si la partie déroulante est visible. */
    set isOpen(value: BooleanInput);
    get isOpen(): BooleanInput;
    private _positions;
    set positions(value: DejaConnectionPositionPair[] | string);
    get positions(): DejaConnectionPositionPair[] | string;
    constructor(elementRef: ElementRef<HTMLElement>, control: NgControl, changeDetectorRef: ChangeDetectorRef);
    /** Retourne ou définit la taille du bouton. */
    set small(value: BooleanInput);
    get small(): BooleanInput;
    /** Retourne ou definit si le selecteur est desactivé. */
    set disabled(value: BooleanInput);
    get disabled(): BooleanInput;
    set value(value: Color);
    get value(): Color;
    writeValue(value: Color): void;
    registerOnChange(fn: (_a: unknown) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    /** Affiche le color picker. */
    show(event: MouseEvent): boolean;
    /** Ferme le color picker. */
    close(): void;
    onColorChange(color: Color): void;
    getStyle(): {
        'background-color': string;
    };
    protected onTouchedCallback: () => void;
    protected onChangeCallback: (_a: unknown) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DejaColorPickerComponent, [null, { optional: true; self: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DejaColorPickerComponent, "deja-color-picker", never, { "colors": "colors"; "resetcolor": "resetcolor"; "isOpen": "isOpen"; "positions": "positions"; "small": "small"; "disabled": "disabled"; }, { "colorhover": "colorhover"; }, never, never>;
}
